# KSPBCGSLSetPol

Sets the type of polynomial part will be used in the BiCGSTab(L) solver.

### Synopsis

    PetscErrorCode PETSCKSP_DLLEXPORT KSPBCGSLSetPol(KSP ksp, PetscTruth uMROR)

Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| uMROR | - set to PETSC_TRUE when the polynomial is a convex combination of an MR and an OR step.

### Options Database Keys

| -ksp_bcgsl_cxpoly | - use enhanced polynomial
| -ksp_bcgsl_mrpoly | - use standard polynomial

### Keywords

KSP, BiCGStab(L), set, polynomial

### See Also

@()

Level:intermediate
Location: src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages